Debian Bug report logs - #569875
libi18n-ruby1.9: Please drop the dependency on ruby 1.9.0

version graph

Package: libi18n-ruby1.9; Maintainer for libi18n-ruby1.9 is (unknown);

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 14 Feb 2010 19:31:44 UTC

Severity: serious

Found in version libi18n-ruby/0.1.1~git20081120-3

Fixed in version libi18n-ruby/0.3.6-1

Done: roberto@connexer.com (Roberto C. Sanchez)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Athena Capital Research <acr-debian@athenacr.com>:
Bug#569875; Package libi18n-ruby1.9. (Sun, 14 Feb 2010 19:31:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Athena Capital Research <acr-debian@athenacr.com>. (Sun, 14 Feb 2010 19:31:47 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libi18n-ruby1.9: Please drop the dependency on ruby 1.9.0
Date: Sun, 14 Feb 2010 20:27:29 +0100
Package: libi18n-ruby1.9
Version: 0.1.1~git20081120-3
Severity: serious
User: debian-ruby@lists.debian.org
Usertags: ruby190transition

Hi,

Ruby 1.9.0 is going away in Squeeze, replaced by Ruby 1.9.1. This
transition is made mandatory by API changes upstream.

Your package currently ships some files in /usr/lib/ruby/1.9.0. This
will no longer work with 1.9.1.

You can either:
- port your package to Ruby 1.9.1
- drop the Ruby 1.9.X binary package

There is more information on http://wiki.debian.org/Ruby191Transition

Thanks

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Athena Capital Research <acr-debian@athenacr.com>:
Bug#569875; Package libi18n-ruby1.9. (Tue, 16 Mar 2010 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yukiharu Yabuki <yabuki@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Athena Capital Research <acr-debian@athenacr.com>. (Tue, 16 Mar 2010 08:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 569875@bugs.debian.org (full text, mbox):

From: Yukiharu Yabuki <yabuki@netfort.gr.jp>
To: 569875@bugs.debian.org
Subject: libi18n-ruby: drop ruby1.9.0 binary package
Date: Tue, 16 Mar 2010 17:07:50 +0900
[Message part 1 (text/plain, inline)]
Subject: libi18n-ruby: drop ruby1.9.0 binary package
Followup-For: Bug #569875
Package: libi18n-ruby
Tags: patch


*** Please type your report below this line ***
I have just made patch for dropping ruby1.9.0 binary.
The debdiff are attached. Is it OK for NMU?

Hello from the 2010 Thai BSP:
http://wiki.debian.org/DebianThailand/MiniDebCamp2010/BSP

Cheers,

- Yukiharu

-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30 (SMP w/2 CPU cores)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[libi18n-ruby.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Athena Capital Research <acr-debian@athenacr.com>:
Bug#569875; Package libi18n-ruby1.9. (Tue, 16 Mar 2010 09:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yukiharu Yabuki <yabuki@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Athena Capital Research <acr-debian@athenacr.com>. (Tue, 16 Mar 2010 09:18:09 GMT) Full text and rfc822 format available.

Message #15 received at 569875@bugs.debian.org (full text, mbox):

From: Yukiharu Yabuki <yabuki@netfort.gr.jp>
To: 569875@bugs.debian.org
Subject: libi18n-ruby: drop ruby1.9.0 binary package
Date: Tue, 16 Mar 2010 18:15:11 +0900
[Message part 1 (text/plain, inline)]
Subject: libi18n-ruby: drop ruby1.9.0 binary package
Followup-For: Bug #569875
Package: libi18n-ruby
Tags: patch


*** Please type your report below this line ***
I am sorry last patch was incomplete.


I have just made patch for dropping ruby1.9.0 binary.
The debdiff are attached. I will upload for Delay 3 days

Hello from the 2010 Thai BSP:
http://wiki.debian.org/DebianThailand/MiniDebCamp2010/BSP

Cheers,

- Yukiharu

-- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30 (SMP w/2 CPU cores)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

[libi18n-ruby.diff (text/x-diff, attachment)]

Reply sent to Roberto C. Sánchez <roberto@connexer.com>:
You have taken responsibility. (Tue, 23 Mar 2010 20:30:10 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 23 Mar 2010 20:30:10 GMT) Full text and rfc822 format available.

Message #20 received at 569875-done@bugs.debian.org (full text, mbox):

From: Roberto C. Sánchez <roberto@connexer.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 573272@bugs.debian.org, debian-ruby@lists.debian.org
Subject: Re: Bug#573272: transition: ruby1.9 -> ruby1.9.1
Date: Tue, 23 Mar 2010 16:27:34 -0400
[Message part 1 (text/plain, inline)]
On Tue, Mar 23, 2010 at 09:19:19PM +0100, Lucas Nussbaum wrote:
> 
> Roberto C. Sanchez <roberto@connexer.com>
>    libi18n-ruby (U)
> 

So, this package does not depend on ruby1.9 any longer.  It seems as
though an NMU [0] closed #569875.  However, that closure note in the
changelog never carried through to the bug.  (However, I am sending this
note to the 569875-done as well, so that bug will close).  Given that, I
do not think that it needs to be removed.

Regards,

-Roberto

[0] http://packages.qa.debian.org/libi/libi18n-ruby/news/20100319T093718Z.html

-- 
Roberto C. Sánchez
http://people.connexer.com/~roberto
http://www.connexer.com
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 04 Apr 2010 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to roberto@connexer.com (Roberto C. Sanchez):
You have taken responsibility. (Tue, 06 Apr 2010 13:36:27 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 06 Apr 2010 13:36:27 GMT) Full text and rfc822 format available.

Message #27 received at 569875-close@bugs.debian.org (full text, mbox):

From: roberto@connexer.com (Roberto C. Sanchez)
To: 569875-close@bugs.debian.org
Subject: Bug#569875: fixed in libi18n-ruby 0.3.6-1
Date: Tue, 06 Apr 2010 13:32:36 +0000
Source: libi18n-ruby
Source-Version: 0.3.6-1

We believe that the bug you reported is fixed in the latest version of
libi18n-ruby, which is due to be installed in the Debian FTP archive:

libi18n-ruby1.8_0.3.6-1_all.deb
  to main/libi/libi18n-ruby/libi18n-ruby1.8_0.3.6-1_all.deb
libi18n-ruby1.9.1_0.3.6-1_all.deb
  to main/libi/libi18n-ruby/libi18n-ruby1.9.1_0.3.6-1_all.deb
libi18n-ruby_0.3.6-1.diff.gz
  to main/libi/libi18n-ruby/libi18n-ruby_0.3.6-1.diff.gz
libi18n-ruby_0.3.6-1.dsc
  to main/libi/libi18n-ruby/libi18n-ruby_0.3.6-1.dsc
libi18n-ruby_0.3.6-1_all.deb
  to main/libi/libi18n-ruby/libi18n-ruby_0.3.6-1_all.deb
libi18n-ruby_0.3.6.orig.tar.gz
  to main/libi/libi18n-ruby/libi18n-ruby_0.3.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 569875@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Roberto C. Sanchez <roberto@connexer.com> (supplier of updated libi18n-ruby package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 31 Mar 2010 20:45:13 -0400
Source: libi18n-ruby
Binary: libi18n-ruby libi18n-ruby1.8 libi18n-ruby1.9.1
Architecture: source all
Version: 0.3.6-1
Distribution: unstable
Urgency: low
Maintainer: Athena Capital Research <acr-debian@athenacr.com>
Changed-By: Roberto C. Sanchez <roberto@connexer.com>
Description: 
 libi18n-ruby - I18n and localization solution for Ruby
 libi18n-ruby1.8 - I18n and localization solution (Ruby 1.8)
 libi18n-ruby1.9.1 - I18n and localization solution (Ruby 1.9.1)
Closes: 569875
Changes: 
 libi18n-ruby (0.3.6-1) unstable; urgency=low
 .
   [ Roberto C. Sanchez ]
   * New upstream release
   * Acknowledge NMU (Thanks to YABUKI Yukiharu)
   * Update watchfile to use githubredir.debian.net
   * Remove unused lintian override
 .
   [ Deepak Tripathi ]
   * Not releasing, rails maint wanted to co-maintain.
   * Port the package to Ruby 1.9.1 (Closes: #569875)
   * Added myself as an uploader
   * Bump standards version to 3.8.4 (no changes)
Checksums-Sha1: 
 17e69ecef37119843b76265c03527c6cd33b35ea 1426 libi18n-ruby_0.3.6-1.dsc
 bc5694caf1f8390258979dd6ac9981eadf083f88 56402 libi18n-ruby_0.3.6.orig.tar.gz
 f8ddfb545d17a9792f7f119b8e5b217cd2028131 2399 libi18n-ruby_0.3.6-1.diff.gz
 b61242c0c910c3089c0530005ec07da54409f969 4388 libi18n-ruby_0.3.6-1_all.deb
 da4c03de0e965298a8dd9f107c0cc22746c3c122 28150 libi18n-ruby1.8_0.3.6-1_all.deb
 1371c5eaee65610a6db3c57e54396837650f3262 28164 libi18n-ruby1.9.1_0.3.6-1_all.deb
Checksums-Sha256: 
 c8012953bb3e0553efa8ec3de1fd3d3aadd8518d725c3d612a40fa9644ad8d25 1426 libi18n-ruby_0.3.6-1.dsc
 76f50736a8af08fe0b678ad307f55711cd0e1365f9592f26fe6c586ca170899c 56402 libi18n-ruby_0.3.6.orig.tar.gz
 ae14b2ec96c86e2b6b4dd3dd2beac8a34089bdf281b3b2bf93577814c0329b9f 2399 libi18n-ruby_0.3.6-1.diff.gz
 d6827a634e7a0615b8c40ffa67d3b5182b7ac444b3a84cd937c0fa46f9914d5b 4388 libi18n-ruby_0.3.6-1_all.deb
 41df64907a213ca27ff10b2fc1ef5d3e09c13806fa1abf3b23098eebfb8d1ec6 28150 libi18n-ruby1.8_0.3.6-1_all.deb
 7f3d11f9b2acf5f99a550a7ac459ee3cb6cd3af9b078bc8d91e10968a45b515b 28164 libi18n-ruby1.9.1_0.3.6-1_all.deb
Files: 
 bbce8bd52b6ef6cc0da7637283cfc9ed 1426 ruby extra libi18n-ruby_0.3.6-1.dsc
 d0008f095af64d5ab969682002402314 56402 ruby extra libi18n-ruby_0.3.6.orig.tar.gz
 c96a5dfd17fde26a1aea834adf636cc7 2399 ruby extra libi18n-ruby_0.3.6-1.diff.gz
 69286344fd6fb9d1d864102e594dbe5a 4388 ruby extra libi18n-ruby_0.3.6-1_all.deb
 49366b67a277c5ee49f739a137e196e6 28150 ruby extra libi18n-ruby1.8_0.3.6-1_all.deb
 196c690d83ab26e74a27d7b0a1e60935 28164 ruby extra libi18n-ruby1.9.1_0.3.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkuz8B0ACgkQ5SXWIKfIlGRoSwCdHdmJ6doGCOKa2i8JV59WHjRP
qW4An26GlEPjWxNUpq5d5OPvxI2PiE2l
=85q9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 May 2010 07:47:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:22:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.